/*

  File VarX.h:

  headers della funzione per il calcolo delle derivate prime e seconde di un campo
  f(x) tramite formule alle differenze finite del secondo ordine e con vari tipi di
  condizioni al bordo:
  1) condizioni al bordo di tipo Dirichlet;
  2) condizioni al bordo di tipo Neumann;
  3) condizioni periodiche.

*/

#ifndef VarX_H

#define VarX_H

class VarX
{

 private:
  long int nx;
  int boundCond;
  double * y;
  double deltaX, dueDeltaX, deltaX2;

 public:
  VarX( long int, double *, int, double );
  ~VarX( );
  void setValue( double * );
  void getDerX( double * );
  void getDerXX( double * );

};

#endif
